Skip to main content
GET
/
resolution_center_cases
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const resolutionCenterCaseListResponse of client.resolutionCenterCases.list()) {
  console.log(resolutionCenterCaseListResponse.id);
}
{
  "data": [
    {
      "id": "reso_xxxxxxxxxxxxx",
      "status": "merchant_response_needed",
      "issue": "forgot_to_cancel",
      "created_at": "2023-12-01T05:00:00.401Z",
      "updated_at": "2023-12-01T05:00:00.401Z",
      "due_date": "2023-12-01T05:00:00.401Z",
      "customer_appealed": true,
      "merchant_appealed": true,
      "customer_response_actions": [
        "respond"
      ],
      "merchant_response_actions": [
        "accept"
      ],
      "company": {
        "id": "biz_xxxxxxxxxxxxxx",
        "title": "Pickaxe"
      },
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "John Doe",
        "username": "johndoe42"
      },
      "payment": {
        "id": "pay_xxxxxxxxxxxxxx"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string | null

The unique identifier of the company to list resolution center cases for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string> | null

The sort direction.

Available options:
asc,
desc
statuses
enum<string>[] | null

Filter by resolution center case status.

The statuses a resolution object can have

Available options:
merchant_response_needed,
customer_response_needed,
merchant_info_needed,
customer_info_needed,
under_platform_review,
customer_won,
merchant_won,
customer_withdrew
created_before
string<date-time> | null

Only return cases created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return cases created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for PublicResolution.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.